using Hotline.File;
using Hotline.Share.Tools;
using Hotline.Snapshot.IRepository;
using Shouldly;
using TianQue.Sdk;
using TianQue.Sdk.Models;

namespace Hotline.Tests.Infrastructure;
public class TianQueTest
{
    private readonly IFileDomainService _fileDomainService;
    private readonly IGuiderSystemService _tiqnQueService;

    public TianQueTest(IFileDomainService fileDomainService, IGuiderSystemService tiqnQueService)
    {
        _fileDomainService = fileDomainService;
        _tiqnQueService = tiqnQueService;
    }

    [Fact]
    public void Test_GenerateNonce()
    {
        // Arrange
        var nonce = SignUtils.GenerateNonce();

        // Assert
        Assert.NotNull(nonce);
        Assert.Equal(64, nonce.Length);
        // b55dfdedba900437d486e70e5fb78ed50afaeb910a2346f16ef03af656f8bb0b
    }

    //[Fact]
    public async Task PostAcceptInfo_Test()
    {
        // Arrange
        //var tiqnQueService = new TiqnQueService();

        //// Act
        //var result = await tiqnQueService.PostAcceptInfo();

        //// Assert
        //Assert.Equal("ok", result);

        //await _tiqnQueService.PostOrder(null, null, null);
    }

    [Fact]
    public async Task GetFile_Test()
    { 
        //await _fileDomainService.GetNetworkFileAsync("http://10.0.188.11:1234/tqOssManager/getObjectByUri/sichuan/scgrid/jpg/2024/12/5/095020318625.jpg", "");
    }

}
